diff --git a/doc/src/sgml/textsearch.sgml b/doc/src/sgml/textsearch.sgml
index ce2b4c6..3fd7905 100644
--- a/doc/src/sgml/textsearch.sgml
+++ b/doc/src/sgml/textsearch.sgml
@@ -1001,6 +1001,11 @@ websearch_to_tsquery(<optional> <replaceable class="parameter">config</replaceab
       </para>
      </listitem>
     </itemizedlist>
+    Operators other than specified are treated as word dividers and
+    converted to <literal>&amp;</literal> and <literal>&lt;-&gt;</literal>.
+    The same applies to <literal>:</literal> operator. So unlike
+    <function>to_tsquery</function>, <function>websearch_to_tsquery</function>
+    doesn't support weight(s) marks for words.
    </para>
    <para>
     Examples:
@@ -1034,6 +1039,12 @@ SELECT websearch_to_tsquery('english', '""" )( dummy \\ query &lt;-&gt;');
 ----------------------
  'dummi' &amp; 'queri'
 (1 row)
+
+select websearch_to_tsquery('english', '"Automated:CAD" software(client)');
+       websearch_to_tsquery
+------------------------------------------
+ 'autom' <-> 'cad' & 'softwar' & 'client'
+(1 row)
 </screen>
     </para>
   </sect2>
